Loading...
Searching...
No Matches
gr::msg_accepter Class Reference

Accepts messages and inserts them into a message queue, then notifies subclass gr::basic_block there is a message pending. More...

`#include <gnuradio/msg_accepter.h>`

## Public Member Functions

| msg_accepter ()
| ~msg_accepter () override
void | post (pmt::pmt_t which_port, pmt::pmt_t msg) override
| send `msg` to `msg_accepter` on port `which_port`
Public Member Functions inherited from gr::messages::msg_accepter
| msg_accepter ()

## Detailed Description

Accepts messages and inserts them into a message queue, then notifies subclass gr::basic_block there is a message pending.

## Constructor & Destructor Documentation

## msg_accepter()

gr::msg_accepter::msg_accepter | ( |  | ) |

## ~msg_accepter()

gr::msg_accepter::~msg_accepter | ( |  | ) |

override virtual

Reimplemented from gr::messages::msg_accepter.

## Member Function Documentation

## post()

void gr::msg_accepter::post | ( | pmt::pmt_t | which_port,
|  | pmt::pmt_t | msg )

override virtual

send `msg` to `msg_accepter` on port `which_port`

Sending a message is an asynchronous operation. The `post` call will not wait for the message either to arrive at the destination or to be received.

Implements gr::messages::msg_accepter.

The documentation for this class was generated from the following file:

- msg_accepter.h